Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000107 [Piwigo] albums crash always 2005.04.29 17:59 2005.09.18 21:53
Reporter sylvain2 View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.4.1 Product Version 1.4.0
  Target Version Product Build
Summary 0000107: Crash de PWG quand une catégorie virtuelle comprend un " ' "
Description Lorsque je crée une catégorie virtuelle avec un " ' " genre : " le coin d'anthony" , ca fait planter pwg quand je veux rentrer dans la catégorie après.

Il faut alors que je modifie en "le coin De anthony" afin d'éviter le " ' "

Je connaissais cette limitation pour une catégorie physique , je ne pensais pas que la virtuelle était touchée par cela.


Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000131)
plg (manager)
2005.04.30 21:21

Je n'arrive pas à reproduire ton bug. J'ai essayé, de créer une catégorie virtuelle nommée "virt'uel" à la racine de mon arborescence et pas de problème pour la création et pour "rentrer dedans" ou encore pour l'éditer.

Peux-tu être plus précis lorsque tu dis :

> ca fait planter pwg

écran blanc? message d'erreur?
(0000138)
sylvain2 (reporter)
2005.05.01 19:35

Salut ! Désolé pour le retard de la réponse j'etais en weekend :)

Je viens de retester . J'ai crée une section " l'arrivée de maman" en virtuelle et quand je veux rentrer dedans voici le resultat :

INSERT INTO phpwebgallery_history
  (date,login,IP,file,category,picture)
  VALUES
  (NOW(),
  'sylvain',
  '82.67.**.**',
  'category',
  'l'arrivée de maman',
  '')
;
[mysql error 1064] You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'arrivée de maman',
  '')' at line 8


En revanche si je change par arrivée de maman. Ca passe

Voila j'espere que ca aidera
(0000142)
plg (manager)
2005.05.02 20:45

http://cvs.gna.org/viewcvs/phpwebgallery/phpwebgallery/include/functions.inc.php.diff?r1=1.55&r2=1.55.2.1 [^]
(0000242)
plg (manager)
2005.09.18 21:53

correction reportée sur BSF

- Issue History
Date Modified Username Field Change
2005.04.29 17:59 sylvain2 New Issue
2005.04.29 17:59 sylvain2 browser => any
2005.04.29 17:59 sylvain2 Web server => Apache 1.3.x
2005.04.30 21:19 plg Status new => assigned
2005.04.30 21:19 plg Assigned To => plg
2005.04.30 21:21 plg Note Added: 0000131
2005.05.01 19:35 sylvain2 Note Added: 0000138
2005.05.02 20:45 plg Status assigned => resolved
2005.05.02 20:45 plg Fixed in Version => 1.4.1
2005.05.02 20:45 plg Resolution open => fixed
2005.05.02 20:45 plg Note Added: 0000142
2005.09.18 21:53 plg Note Added: 0000242
2005.09.18 21:53 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker